SDL_EGLAttribArrayCallback(3type)

NAME
SDL_EGLAttribArrayCallback - EGL platform attribute initialization callback.

SYNOPSIS
#include <SDL3/SDL_video.h>

typedef SDL_EGLAttrib *(SDLCALL *SDL_EGLAttribArrayCallback)(void *userdata);

DESCRIPTION
This is called when SDL is attempting to create an EGL context, to let the app add extra attributes to its eglGetPlatformDisplay() call.

The callback should return a pointer to an EGL attribute array terminated with EGL_NONE. If this function returns NULL, the SDL_CreateWindow process will fail gracefully.

The returned pointer should be allocated with SDL_malloc() and will be passed to SDL_free().

The arrays returned by each callback will be appended to the existing attribute arrays defined by SDL.

FUNCTION PARAMETERS

userdata
    an app-controlled pointer that is passed to the callback.

RETURN VALUE
Returns a newly-allocated array of attributes, terminated with EGL_NONE.

AVAILABILITY
This datatype is available since SDL 3.2.0.

SEE ALSO
SDL_EGL_SetAttributeCallbacks(3)